### Method

# FwupdPlugin CfiDevice chip_select_locker_new

since: 1.8.0

#### Declaration [src]

    FuDeviceLocker*
    fu_cfi_device_chip_select_locker_new (
      FuCfiDevice* self
      GError** error
    )

#### Description [src]

Creates a custom device locker that asserts and deasserts the chip select signal.

Available since: 1.8.0

#### Return value

Type: `FuDeviceLocker`

(nullable): a `FuDeviceLocker`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.